# Get a pre-adverse action Retrieves a single pre-adverse action record by ID. Endpoint: GET /regulated/pre_adverse_actions/{pre_adverse_action_id} Version: 1.0 Security: get-bearer-token-using-oauth2 ## Path parameters: - `pre_adverse_action_id` (string, required) The UUID of the pre-adverse action record. Example: "2b8313e8-4efd-45a1-b578-952b8313e890" ## Response 200 fields (application/json): - `id` (string) A universally unique identifier (UUID) in standard format. - `profile_id` (string) Identifier of an existing profile containing search criteria. - `status` (string) The status associated with the pre-adverse action. Example: "AdverseActionInitiated" - `candidate_report_url` (string,null) URL where the subject can view their background check report and respond to the notice. Populated once the notice has been delivered. Example: "https://applicant.checkrtrust.com/welcome?token=abc123" - `disqualifying_records` (array) - `disqualifying_records.record_id` (string, required) The UUID of the criminal record within a check result. Example: "a1b2c3d4-0000-0000-0000-000000000001" - `created_at` (string) An ISO 8601 formatted date-time string. - `sent_at` (string,null) Timestamp when the notice was delivered. Null until status is sent. Example: "2024-06-01T14:00:00Z" - `feedback` (object,null) Information provided by the subject in response to the pre-adverse action notice. Only populated after the subject has reviewed and responded to the notice. - `feedback.user_provided_answer` (string) Whether the subject acknowledges the records. Enum: "none", "yes", "no", "do_not_share" - `feedback.contexts` (array) Context provided by the subject for specific records. - `feedback.contexts.record_id` (string) The UUID of the record the subject is providing context for. Example: "a1b2c3d4-0000-0000-0000-000000000001" - `feedback.contexts.context` (string) Additional context or explanation from the subject related to the record. Example: "This charge was expunged in 2019." - `feedback.contexts.has_attachments` (boolean) Indicates whether the subject uploaded supporting attachments for this record. - `feedback.disputes` (array) Disputes filed by the subject against specific records. - `feedback.disputes.record_id` (string) The UUID of the record being disputed. Example: "a1b2c3d4-0000-0000-0000-000000000001" - `feedback.disputes.issue_type` (string) The nature of the dispute. Enum: "charges_not_mine", "charges_incorrect", "charges_should_not_show", "duplicate_record", "other_error" - `feedback.disputes.explanation` (string) The subject's explanation for the dispute. Example: "I have never lived in that state." - `feedback.pii` (object,null) Updated personal information provided by the subject to support their response or dispute. - `feedback.pii.first_name` (string) Example: "John" - `feedback.pii.middle_name` (string) Example: "D" - `feedback.pii.last_name` (string) Example: "Smith" - `feedback.pii.birth_month` (integer) Example: 5 - `feedback.pii.birth_day` (integer) Example: 25 - `feedback.pii.birth_year` (integer) Example: 1980 - `feedback.pii.ssn` (string) Example: "XXX-XX-6789" - `feedback.pii.addresses` (array) - `feedback.pii.addresses.street` (string) Example: "123 Main St" - `feedback.pii.addresses.city` (string) Example: "Austin" - `feedback.pii.addresses.state` (string) Example: "TX" - `feedback.pii.addresses.zip_code` (string) Example: "73301" - `feedback.pii.identification_documents` (array) - `feedback.pii.identification_documents.driver_license` (object,null) - `feedback.pii.identification_documents.driver_license.license_number` (string) - `feedback.pii.identification_documents.driver_license.license_state` (string) - `feedback.pii.identification_documents.state_id` (object,null) - `feedback.pii.identification_documents.state_id.id_number` (string) - `feedback.pii.identification_documents.state_id.issuing_state` (string) - `feedback.pii.identification_documents.passport` (object,null) - `feedback.pii.identification_documents.passport.number` (string) - `dispute_filed_at` (string,null) Timestamp when the subject filed a dispute. Null until a dispute is filed. Example: "2024-06-05T09:30:00Z" - `dispute_resolved_at` (string,null) Timestamp when the dispute was resolved. Null until resolved. Example: "2024-06-15T11:00:00Z" ## Response 401 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 404 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 500 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name"